Subject: `guix pack -f squashfs` does not create /tmp and /var/tmp

From: Alexis Simon <[email-masked]>
Date: Tue, 9 Apr 2024 11:18:43 -0700

Similarly to a previous patch for Docker [1], Singularity complains when 
using a squashfs image as the /tmp and /var/tmp folders do not exist.

It would be great if they were, I had programs failing quietly because 
there was no /tmp folder and tracked down the issue to this.

As a more general option, it could be interesting to have an option in 
guix pack to create any folder in the pack.

Thanks,
Alexis

[1] https://issues.guix.gnu.org/issue/37161